summaryrefslogtreecommitdiff
path: root/media-libs
diff options
context:
space:
mode:
author(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
committer(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
commitf1e95daae05c57d935b00e611c624c5e75cd21ec (patch)
tree4065ab51d9e64882d9001a59ede7d9a4e372a4a6 /media-libs
uploading my overlay ), initial commit
git-svn-id: http://172.18.13.13/svn/sss_overlay@1 4d9a9b59-111c-4e0b-8f7a-7640551abb98
Diffstat (limited to 'media-libs')
-rw-r--r--media-libs/babl/babl-0.0.9999.ebuild39
-rw-r--r--media-libs/gegl/gegl-0.0.9999.ebuild90
-rw-r--r--media-libs/libgpod/libgpod-9999.ebuild77
3 files changed, 206 insertions, 0 deletions
diff --git a/media-libs/babl/babl-0.0.9999.ebuild b/media-libs/babl/babl-0.0.9999.ebuild
new file mode 100644
index 0000000..36c0b30
--- /dev/null
+++ b/media-libs/babl/babl-0.0.9999.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-libs/babl/babl-0.0.22.ebuild,v 1.7 2009/01/31 09:11:00 mabi Exp $
+
+inherit subversion
+
+DESCRIPTION="A dynamic, any to any, pixel format conversion library"
+HOMEPAGE="http://www.gegl.org/babl/"
+SRC_URI=""
+
+ESVN_REPO_URI="http://svn.gnome.org/svn/babl/trunk/"
+ESVN_STORE_DIR="${DISTDIR}/svn-src"
+ESVN_PROJECT="${PN/-svn}"
+ESVN_BOOTSTRAP="./autogen.sh"
+
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="sse mmx"
+
+DEPEND="virtual/libc"
+
+src_unpack(){
+ subversion_src_unpack
+}
+
+src_compile() {
+ econf $(use_enable mmx) \
+ $(use_enable sse) \
+ || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake install DESTDIR="${D}" || die "emake install failed"
+ find "${D}" -name '*.la' -delete
+# dodoc AUTHORS ChangeLog README NEWS || die "dodoc failed"
+}
diff --git a/media-libs/gegl/gegl-0.0.9999.ebuild b/media-libs/gegl/gegl-0.0.9999.ebuild
new file mode 100644
index 0000000..0d1f3bb
--- /dev/null
+++ b/media-libs/gegl/gegl-0.0.9999.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-libs/gegl/gegl-0.0.22.ebuild,v 1.6 2009/01/31 09:26:09 mabi Exp $
+
+inherit eutils subversion
+
+DESCRIPTION="A graph based image processing framework"
+HOMEPAGE="http://www.gegl.org/"
+SRC_URI=""
+
+ESVN_REPO_URI="http://svn.gnome.org/svn/gegl/trunk/"
+ESVN_STORE_DIR="${DISTDIR}/svn-src"
+ESVN_PROJECT="${PN/-svn}"
+ESVN_BOOTSTRAP="./autogen.sh"
+
+
+LICENSE="|| ( GPL-3 LGPL-3 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+IUSE="cairo debug doc ffmpeg jpeg mmx openexr png raw sdl sse svg v4l"
+
+DEPEND=">=media-libs/babl-0.0.20
+ >=dev-libs/glib-2.18.0
+ media-libs/libpng
+ >=x11-libs/gtk+-2.14.0
+ x11-libs/pango
+ cairo? ( x11-libs/cairo )
+ doc? ( app-text/asciidoc
+ dev-lang/ruby
+ >=dev-lang/lua-5.1.0
+ app-text/enscript
+ media-gfx/graphviz
+ media-gfx/imagemagick )
+ ffmpeg? ( >=media-video/ffmpeg-0.4.9_p20080326 )
+ jpeg? ( media-libs/jpeg )
+ openexr? ( media-libs/openexr )
+ raw? ( >=media-libs/libopenraw-0.0.5 )
+ sdl? ( media-libs/libsdl )
+ svg? ( >=gnome-base/librsvg-2.14.0 )"
+
+pkg_setup() {
+ if use doc && ! built_with_use 'media-gfx/imagemagick' 'png'; then
+ eerror "You must build imagemagick with png support"
+ die "media-gfx/imagemagick built without png"
+ fi
+}
+
+src_unpack() {
+ #unpack ${A}
+ subversion_src_unpack
+ cd "${S}"
+# epatch "${FILESDIR}/${P}-locale_h.diff"
+}
+
+src_compile() {
+ econf --with-gtk --with-pango --with-gdk-pixbuf \
+ $(use_enable debug) \
+ $(use_with cairo) \
+ $(use_with cairo pangocairo) \
+ $(use_with v4l libv4l) \
+ $(use_enable doc docs) \
+ $(use_with doc graphviz) \
+ $(use_with doc lua) \
+ $(use_enable doc workshop) \
+ $(use_with ffmpeg libavformat) \
+ $(use_with jpeg libjpeg) \
+ $(use_enable mmx) \
+ $(use_with openexr) \
+ $(use_with png libpng) \
+ $(use_with raw libopenraw) \
+ $(use_with sdl) \
+ $(use_with svg librsvg) \
+ $(use_enable sse) \
+ || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install() {
+ # emake install doesn't install anything
+ einstall || die "einstall failed"
+ find "${D}" -name '*.la' -delete
+# dodoc ChangeLog INSTALL README NEWS || die "dodoc failed"
+
+ # don't know why einstall omits this?!
+ insinto "/usr/include/${PN}-0.0/${PN}/buffer/"
+ doins "${WORKDIR}/${P}/${PN}"/buffer/*.h || die "doinsbuffer failed"
+ insinto "/usr/include/${PN}-0.0/${PN}/module/"
+ doins "${WORKDIR}/${P}/${PN}"/module/*.h || die "doins module failed"
+}
diff --git a/media-libs/libgpod/libgpod-9999.ebuild b/media-libs/libgpod/libgpod-9999.ebuild
new file mode 100644
index 0000000..5bb194b
--- /dev/null
+++ b/media-libs/libgpod/libgpod-9999.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-libs/libgpod/libgpod-0.6.0.ebuild,v 1.11 2008/11/01 16:47:41 tester Exp $
+
+inherit eutils subversion autotools
+
+DESCRIPTION="Shared library to access the contents of an iPod"
+HOMEPAGE="http://www.gtkpod.org/libgpod.html"
+SRC_URI=""
+
+ESVN_REPO_URI="https://gtkpod.svn.sourceforge.net/svnroot/gtkpod/libgpod/trunk/"
+ESVN_STORE_DIR="${DISTDIR}/svn-src"
+ESVN_PROJECT="${PN/-svn}"
+ESVN_BOOTSTRAP="./autogen.sh"
+
+S="${WORKDIR}/${P/_/}"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~ia64 ppc ppc64 ~sparc x86"
+IUSE="gtk python doc test hal"
+
+RDEPEND=">=dev-libs/glib-2.4
+ hal? ( =sys-apps/hal-0.5* )
+ sys-apps/sg3_utils
+ dev-util/gtk-doc
+ gtk? ( >=x11-libs/gtk+-2 )
+ python? ( >=dev-lang/python-2.3
+ >=x11-libs/gtk+-2
+ media-libs/mutagen
+ gtk? ( >=dev-python/pygobject-2 ) )
+ test? ( media-libs/taglib )"
+DEPEND="${RDEPEND}
+ doc? ( dev-util/gtk-doc )
+ python? ( >=dev-lang/swig-1.3.24 )
+ dev-util/pkgconfig"
+
+src_unpack() {
+ subversion_src_unpack
+ cd "${S}"
+# eautoreconf
+
+# epatch "${FILESDIR}/${P}+gcc-4.3.patch"
+
+# elibtoolize
+}
+
+src_compile() {
+
+ local myconf
+
+ if use gtk; then
+ myconf="--enable-pygobject"
+ else
+ myconf="--disable-pygobject"
+ fi
+
+ econf ${myconf} \
+ $(use_enable doc gtk-doc) \
+ $(use_enable gtk gdk-pixbuf) \
+ $(use_with hal hal) \
+ $(use_with python) || die "configure failed"
+
+ emake || die "make failed"
+
+}
+
+src_install() {
+ make DESTDIR="${D}" install || die "install failed"
+ dodoc README TROUBLESHOOTING AUTHORS NEWS README.SysInfo
+}
+
+pkg_postinst() {
+ einfo "If you use a newer Ipod like the Ipod classic, make sure to read"
+ einfo "the information in README.SysInfo in /usr/share/doc/${P}"
+ einfo "This is no needed if HAL is installed and works correctly."
+}